# PVXMLRecordable Class Reference

`#include <vxml.h>`

Inheritance diagram for PVXMLRecordable:

List of all members.

## Public Member Functions

| PVXMLRecordable ()
virtual PBoolean | Open (const PString &arg)=0
virtual bool | OnStart (PVXMLChannel &incomingChannel)=0
virtual void | OnStop ()
virtual PBoolean | OnFrame (PBoolean)
void | SetFinalSilence (unsigned v)
unsigned | GetFinalSilence ()
void | SetMaxDuration (unsigned v)
unsigned | GetMaxDuration ()

## Protected Attributes

PSimpleTimer | m_silenceTimer
PSimpleTimer | m_recordTimer
unsigned | m_finalSilence
unsigned | m_maxDuration

## Constructor & Destructor Documentation

PVXMLRecordable::PVXMLRecordable | ( |  | ) |

## Member Function Documentation

unsigned PVXMLRecordable::GetFinalSilence | ( |  | ) | `[inline]`

unsigned PVXMLRecordable::GetMaxDuration | ( |  | ) | `[inline]`

virtual PBoolean PVXMLRecordable::OnFrame | ( | PBoolean |  | ) | `[inline, virtual]`

Reimplemented in PVXMLRecordableFilename.

virtual bool PVXMLRecordable::OnStart | ( | PVXMLChannel & | incomingChannel | ) | `[pure virtual]`

Implemented in PVXMLRecordableFilename.

virtual void PVXMLRecordable::OnStop | ( |  | ) | `[inline, virtual]`

virtual PBoolean PVXMLRecordable::Open | ( | const PString & | arg | ) | `[pure virtual]`

Implemented in PVXMLRecordableFilename.

void PVXMLRecordable::SetFinalSilence | ( | unsigned | v | ) | `[inline]`

void PVXMLRecordable::SetMaxDuration | ( | unsigned | v | ) | `[inline]`

## Member Data Documentation

unsigned PVXMLRecordable::m_finalSilence `[protected]`

unsigned PVXMLRecordable::m_maxDuration `[protected]`

PSimpleTimer PVXMLRecordable::m_recordTimer `[protected]`

PSimpleTimer PVXMLRecordable::m_silenceTimer `[protected]`

The documentation for this class was generated from the following file:

- vxml.h